{
  description = "vger";
  inputs.hix.url = github:tek/hix;

  outputs = { hix, ... }:
    hix.lib.flake {
      ghci.extensions = hix.inputs.nixpkgs.lib.mkForce [];
      ghci.args = hix.inputs.nixpkgs.lib.mkForce [];
      base = ./.;
      packages = { vger = ./.; };
      hpack.packages.vger = {
        name = "vger";

        executables.vger = {
          ghc-options = [
            "-Wunused-packages"
          ];
          main = "Vger.hs";
          source-dirs = "app";
          dependencies = [
            "vger"
            "base"
            "optparse-applicative"
            "network-uri"
          ];
        };

        library = {
          ghc-options = [
            "-Wunused-packages"
          ];
          source-dirs = "lib";
          dependencies = [
            "base"
            "regex-pcre"
            "regex-compat"
            "mime-types"
            "utf8-string"
            "directory"
            "text"
            "network-uri"
          ];
        };

        tests.test = {
          ghc-options = [
            "-Wunused-packages"
          ];
          main = "Main.hs";
          source-dirs = "tests";
          dependencies = [
            "vger"
            "base"
            "HUnit"
            "network-uri"
          ];
        };
      };
  };
}
